Subject: [IRTF-Announce] New: Public Key Next-Generation (PKNG) Research Group

From: Aaron Falk <[email-masked]>
Date: Wed, 01 Jul 2009 14:15:41 -0400

A new IRTF research group has been chartered: 

    The PK Next Generation (PKNG) Research Group will look into
    alternate certificate formats, semantics, and PK services that could
    eventually replace PKIX if deployed. The PKNG design work will be
    from the perspective of maximizing utility for the relying party and
    the identified party; issues of what would be best for a certificate
    authorities will be given much less priority, and the features list
    will be developed before format and protocol specifics are discussed.

Charter and mailing list information can be found at
<http://www.irtf.org/pkng>.